OrderType (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Enum OrderType

- java.lang.Object
- - java.lang.Enum<OrderType>
  - - com.marketfactory.api.OrderType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OrderType>

      public enum OrderType
      extends java.lang.Enum<OrderType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `LIMIT`
    `MARKET`
    `MARKETLIMIT`
    `PREVIOUSLY_QUOTED`
    `PREVIOUSLY_QUOTED_AMT_TIER`
    `STOP`
    `STOPLIMIT`
    `VWAP_SWEEP`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static OrderType` | `get(byte value)`
    `static java.util.Collection<OrderType>` | `validValues()`
    `static OrderType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OrderType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MARKET

          public static final OrderType MARKET

    - #### LIMIT

          public static final OrderType LIMIT

    - #### STOP

          public static final OrderType STOP

    - #### STOPLIMIT

          public static final OrderType STOPLIMIT

    - #### MARKETLIMIT

          public static final OrderType MARKETLIMIT

    - #### PREVIOUSLY_QUOTED

          public static final OrderType PREVIOUSLY_QUOTED

    - #### VWAP_SWEEP

          public static final OrderType VWAP_SWEEP

    - #### PREVIOUSLY_QUOTED_AMT_TIER

          public static final OrderType PREVIOUSLY_QUOTED_AMT_TIER

    - #### _INVALID

          public static final OrderType _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static OrderType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OrderType c : OrderType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OrderType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static OrderType get(byte value)

    - #### validValues

          public static java.util.Collection<OrderType> validValues()